"use strict";
import { html } from "@spectrum-web-components/base";
function nextFrame() {
  return new Promise((res) => requestAnimationFrame(() => res()));
}
class OpenSplitButtonReady extends HTMLElement {
  constructor() {
    super();
    this.readyPromise = Promise.resolve(false);
    this.readyPromise = new Promise((res) => {
      this.ready = res;
      this.setup();
    });
  }
  async setup() {
    await nextFrame();
    const button = document.querySelector(`sp-split-button`);
    button.addEventListener(
      "sp-opened",
      () => {
        this.ready(true);
      },
      { once: true }
    );
  }
  get updateComplete() {
    return this.readyPromise;
  }
}
customElements.define("open-split-button-ready", OpenSplitButtonReady);
export const openSplitButtonDecorator = (story) => {
  return html`
        ${story()}
        <open-split-button-ready></open-split-button-ready>
    `;
};
//# sourceMappingURL=helpers.js.map
